/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package assignment6s10p2;

/**
 *
 * @author User
 */
public class Triangle {

    private double nPart;
    private double mPart;
    private final static double SIDE_B = 1.0;

    public Triangle(double nPart, double mPart) {
        setNPart(nPart);
        setMPart(mPart);
    }
   public double computePerimeter()
   {
       double perimeter;
       double sideC, sideA;
       // compute side C using the expression obtained by math deduction as
       double smallest = (nPart < mPart)? nPart: mPart;
       sideC = (nPart + mPart)/ Math.sqrt(smallest * smallest + nPart * mPart);
       // compute side A using the expression obtained by math deduction as
       sideA = Math.sqrt(sideC * sideC - SIDE_B * SIDE_B) ;

       perimeter = sideA + sideC + SIDE_B;
       return perimeter;
   }
    /**
     * Get the value of nPart
     *
     * @return the value of nPart
     */
    public double getNPart() {
        return nPart;
    }

    /**
     * Set the value of nPart
     *
     * @param nPart new value of nPart
     */
    public void setNPart(double nPartValue) {
        if (nPartValue> 0)
            this.nPart = nPartValue; // partition must be positive
        else
            this.nPart = 1; // default value
    }

    /**
     * Get the value of mPart
     *
     * @return the value of mPart
     */
    public double getMPart() {
        return mPart;
    }

    /**
     * Set the value of mPart
     *
     * @param mPart new value of mPart
     */
    public void setMPart(double mPartValue) {
          if (mPartValue> 0)
            this.mPart = mPartValue; // partition must be positive
        else
            this.mPart = 1; // default value
    }
}
